package com.roobo.svui_plugin.utils;

import android.text.TextUtils;
import android.util.Log;

import com.roobo.svui.SdkConstant;

/**
 * Created by acorn on 2020/9/19.
 */
public class LogUtil {
    private static SdkConstant.LogLevel logLevel = SdkConstant.LogLevel.LOG_LEVEL_NONE;

    public static void i(String tag, String msg) {
        if (logLevel.getValue() < SdkConstant.LogLevel.LOG_LEVEL_INFO.getValue()) {
            return;
        }
        msg = TextUtils.isEmpty(msg) ? "null" : msg;
        Log.i(tag, msg);
    }

    public static void d(String tag, String msg) {
        if (logLevel.getValue() < SdkConstant.LogLevel.LOG_LEVEL_DEBUG.getValue()) {
            return;
        }
        msg = TextUtils.isEmpty(msg) ? "null" : msg;
        Log.d(tag, msg);
    }

    public static void w(String tag, String msg) {
        if (logLevel.getValue() < SdkConstant.LogLevel.LOG_LEVEL_WARN.getValue()) {
            return;
        }
        msg = TextUtils.isEmpty(msg) ? "null" : msg;
        Log.w(tag, msg);
    }

    public static void e(String tag, String msg) {
        if (logLevel.getValue() < SdkConstant.LogLevel.LOG_LEVEL_ERROR.getValue()) {
            return;
        }
        msg = TextUtils.isEmpty(msg) ? "null" : msg;
        Log.e(tag, msg);
    }

    public static void setLogLevel(SdkConstant.LogLevel logLevel) {
        LogUtil.logLevel = logLevel;
    }
}
