package com.roobo.svui_plugin.utils

import android.os.Build
import android.text.TextUtils
import java.io.File
import java.io.IOException
import java.text.SimpleDateFormat
import java.util.*

fun main(args: Array<String>) {
    println(Utils.isContainsChinese("中文 and english"))
}

/**
 * Created by zoe on 2018/12/18
 */
object Utils {
    val deviceSerialNO: String?
        get() {
            var serial: String? = ""
            try {
                val c = Class.forName("android.os.SystemProperties")
                val get = c.getMethod("get", String::class.java)
                serial = get.invoke(c, "ro.serialno") as String
            } catch (ignored: Exception) {
            }
            if (TextUtils.isEmpty(serial)) {
                serial = Build.SERIAL
            }
            return serial
        }
    val currentDateStr: String
        get() {
            val formatter = SimpleDateFormat("yyyy-MM-dd")
            val curDate = Date(System.currentTimeMillis())
            return formatter.format(curDate)
        }
    val currentTimeStr: String
        get() {
            val formatter = SimpleDateFormat("HH-mm-ss")
            val curDate = Date(System.currentTimeMillis())
            return formatter.format(curDate)
        }

    fun getCurrentTimeStr(time: Long): String {
        val formatter = SimpleDateFormat("HH-mm-ss")
        val curDate = Date(time)
        return formatter.format(curDate)
    }

    val preciseTimeStr: String
        get() {
            val formatter = SimpleDateFormat("yyyy-MM-dd HH:mm:ss")
            val curDate = Date(System.currentTimeMillis())
            return formatter.format(curDate)
        }

    fun createDir(path: String?): File {
        val file = File(path)
        if (!file.exists()) {
            file.mkdirs()
        }
        return file
    }

    fun createFile(path: String?): File {
        val file = File(path)
        if (!file.exists()) {
            try {
                file.createNewFile()
            } catch (e: IOException) {
                e.printStackTrace()
            }
        }
        return file
    }

    fun isContainsChinese(text: String?): Boolean {
        return text?.contains("[\u4e00-\u9fa5]+".toRegex()) ?: false
    }
}